Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_Node Class Template Reference

Implementation element in a Queue, Set, and Stack. More...

`#include <Node.h>`

Collaboration diagram for ACE_Node:

[legend]
List of all members.

## Public Methods
| ~ACE_Node (void)
| This isn't necessary, but it keeps some compilers happy.
## Private Methods
| ACE_Node (const T &i, ACE_Node<T> *n)
| ACE_Node (ACE_Node<T> *n = 0, int = 0)
| ACE_Node (const ACE_Node<T> &n)
## Private Attributes
ACE_Node<T>* | next_
| Pointer to next element in the list of s.
T | item_
| Current value of the item in this node.
## Friends
class | ACE_Unbounded_Queue< T >
class | ACE_Unbounded_Queue_Iterator< T >
class | ACE_Unbounded_Set< T >
class | ACE_Unbounded_Set_Iterator< T >
class | ACE_Unbounded_Set_Const_Iterator< T >
class | ACE_Unbounded_Stack< T >
class | ACE_Unbounded_Stack_Iterator< T >

## Detailed Description

### template<class T> template class ACE_Node

Implementation element in a Queue, Set, and Stack.

## Constructor & Destructor Documentation

template<classT>
ACE_Node<T>::~ACE_Node<T> ( | void )

| This isn't necessary, but it keeps some compilers happy.

template<classT>
ACE_Node< T >::ACE_Node<T> ( | const T & i,
| ACE_Node< T >* n )`[private]`

template<classT>
ACE_Node< T >::ACE_Node<T> ( | ACE_Node< T >* n = 0,
| int = 0 )`[private]`

template<classT>
ACE_Node< T >::ACE_Node<T> ( | const ACE_Node< T >& s )`[private]`

## Friends And Related Function Documentation

template<classT>
class ACE_Unbounded_Queue`[friend]`

template<classT>
class ACE_Unbounded_Queue_Iterator`[friend]`

template<classT>
class ACE_Unbounded_Set`[friend]`

template<classT>
class ACE_Unbounded_Set_Const_Iterator`[friend]`

template<classT>
class ACE_Unbounded_Set_Iterator`[friend]`

template<classT>
class ACE_Unbounded_Stack`[friend]`

template<classT>
class ACE_Unbounded_Stack_Iterator`[friend]`

## Member Data Documentation

template<classT>
T ACE_Node<T>::item_`[private]`

| Current value of the item in this node.

template<classT>
ACE_Node< T >* ACE_Node<T>::next_`[private]`

| Pointer to next element in the list of s.

The documentation for this class was generated from the following files:

- Node.h
- Node.cpp